CREATE TABLE gtg_ore_bo_mdl_xref (
    MODEL_ID                 NUMBER(19, 0) ,
    ONT_CLASS_URL            VARCHAR2(1600),
    DATASOURCE_ID            NUMBER(19, 0) ,
    IS_ACTIVE                NUMBER(1, 0)  ,
    IS_SEEDED                NUMBER(1, 0)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    MODEL_ID                 NUMBER(19, 0) ,
    ONT_CLASS_URL            VARCHAR2(1600),
    DATASOURCE_ID            NUMBER(19, 0) ,
    IS_ACTIVE                NUMBER(1, 0)  ,
    IS_SEEDED                NUMBER(1, 0)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_gtg_ore_bo_mdl_xref PRIMARY KEY (MODEL_ID, ONT_CLASS_URL, DATASOURCE_ID, MODEL_ID, ONT_CLASS_URL, DATASOURCE_ID)
);
